> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Allocate default VPC for organization in IDC



## OpenAPI

````yaml /api-spec/service_api.yaml post /v1/vpcs
openapi: 3.0.1
info:
  contact:
    email: support@gmicloud.ai
  description: Cluster Engine API spec
  title: Cluster Engine API
  version: 2.4.0
servers:
  - url: https://console.gmicloud.ai/api
security:
  - bearerAuth: []
tags:
  - name: containers
    description: >-
      GMI Container management APIs for creating, managing, and monitoring
      containerized applications.
  - name: templates
    description: >-
      GMI template management APIs for creating and managing reusable container
      template.
  - name: baremetals
    description: >-
      GMI Bare metal management APIs for provisioning, configuring, and
      controlling physical server nodes. Handles server lifecycle management,
      hardware inventory, and status monitoring.
  - name: images
    description: GMI Image management APIs for query OS images.
  - name: elastic-ips
    description: >-
      GMI Elastic IP address management APIs for allocating, associating, and
      managing public IP addresses.
paths:
  /v1/vpcs:
    post:
      tags:
        - vpcs
      summary: Allocate default VPC for organization in IDC
      operationId: allocateDefaultVpc
      requestBody:
        content:
          application/json:
            schema:
              properties:
                idc:
                  $ref: '#/components/schemas/idcName'
              required:
                - idc
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vpc'
          description: successful
components:
  schemas:
    idcName:
      maxLength: 50
      pattern: ^[a-zA-Z0-9._-]+$
      type: string
    vpc:
      properties:
        createdAt:
          format: date-time
          type: string
        id:
          format: uuid
          type: string
        idc:
          type: string
        name:
          type: string
        orgId:
          format: uuid
          type: string
        subnets:
          items:
            $ref: '#/components/schemas/vpcSubnet'
          type: array
      required:
        - id
        - idc
        - orgId
        - name
        - createdAt
        - subnets
      type: object
    vpcSubnet:
      properties:
        cidr:
          type: string
        id:
          format: uuid
          type: string
        name:
          type: string
      required:
        - id
        - name
        - cidr
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````